package com.yeejoin.amos.fas.business.service.impl;

import java.util.HashMap;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.stereotype.Service;

import com.yeejoin.amos.fas.business.dao.mapper.AlarmMapper;
import com.yeejoin.amos.fas.business.param.CommonPageInfoParam;
import com.yeejoin.amos.fas.business.service.intfc.IAlarmService;
import com.yeejoin.amos.fas.core.util.StringUtil;

@Service("alarmService")
public class AlarmServiceImpl implements IAlarmService {
	
	@Autowired
	AlarmMapper alarmMapper;
	
	@Override
	public Page<HashMap<String, Object>> queryAlarmPage(CommonPageInfoParam param) {		
		if(StringUtil.isNotEmpty(param.getBeginDate())){
			param.setBeginDate(param.getBeginDate()+" "+"00:00:00");
		}
		if(StringUtil.isNotEmpty(param.getEndDate())){
			param.setEndDate(param.getEndDate()+" "+"23:59:59");
		}
		long total = alarmMapper.countPageData(param);
		List<HashMap<String, Object>> content = alarmMapper.getAlarmMapperPage(param);	
		Page<HashMap<String, Object>> result = new PageImpl<HashMap<String, Object>>(content, param, total);
		return result;
	}

}
